com.sun.j3d.utils.behaviors.picking

## Class PickMouseBehavior

- java.lang.Object
- - javax.media.j3d.SceneGraphObject
  - - javax.media.j3d.Node
    - - javax.media.j3d.Leaf
      - - javax.media.j3d.Behavior
        - - com.sun.j3d.utils.behaviors.picking.PickMouseBehavior

- Direct Known Subclasses:
    PickRotateBehavior, PickTranslateBehavior, PickZoomBehavior

  Deprecated.
  As of Java 3D version 1.2, replaced by `com.sun.j3d.utils.picking.behaviors.PickMouseBehavior`

      public abstract class PickMouseBehavior
      extends Behavior

  See Also:
    `PickMouseBehavior`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `buttonPress` Deprecated.
    `protected WakeupCriterion[]` | `conditions` Deprecated.
    `protected TransformGroup` | `currGrp` Deprecated.
    `protected static boolean` | `debug` Deprecated.
    `protected java.awt.event.MouseEvent` | `mevent` Deprecated.
    `protected PickObject` | `pickScene` Deprecated. Portion of the scene graph to operate picking on.
    `protected WakeupOr` | `wakeupCondition` Deprecated.

    - ### Fields inherited from class javax.media.j3d.Node

      `ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PickMouseBehavior(Canvas3D canvas, BranchGroup root, Bounds bounds)` Deprecated. Creates a PickMouseBehavior given current canvas, root of the tree to operate on, and the bounds.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize()` Deprecated. Initialize this behavior.
    `void` | `processStimulus(java.util.Enumeration criteria)` Deprecated. Process a stimulus meant for this behavior.
    `abstract void` | `updateScene(int xpos, int ypos)` Deprecated. Subclasses shall implement this update function

    - ### Methods inherited from class javax.media.j3d.Behavior

      `getEnable, getNumSchedulingIntervals, getSchedulingBoundingLeaf, getSchedulingBounds, getSchedulingInterval, getView, getWakeupCondition, postId, setEnable, setSchedulingBoundingLeaf, setSchedulingBounds, setSchedulingInterval, updateNodeReferences, wakeupOn`

    - ### Methods inherited from class javax.media.j3d.Node

      `cloneNode, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

    - ### Methods inherited from class javax.media.j3d.SceneGraphObject

      `clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pickScene

          protected PickObject pickScene

      Deprecated.
      Portion of the scene graph to operate picking on.

    - #### conditions

          protected WakeupCriterion[] conditions

      Deprecated.

    - #### wakeupCondition

          protected WakeupOr wakeupCondition

      Deprecated.

    - #### buttonPress

          protected boolean buttonPress

      Deprecated.

    - #### currGrp

          protected TransformGroup currGrp

      Deprecated.

    - #### debug

          protected static final boolean debug

      Deprecated.
      See Also:
        Constant Field Values

    - #### mevent

          protected java.awt.event.MouseEvent mevent

      Deprecated.

  - ### Constructor Detail

    - #### PickMouseBehavior

          public PickMouseBehavior(Canvas3D canvas,
                           BranchGroup root,
                           Bounds bounds)

      Deprecated.
      Creates a PickMouseBehavior given current canvas, root of the tree to operate on, and the bounds.

  - ### Method Detail

    - #### initialize

          public void initialize()

      Deprecated.
      Description copied from class: `Behavior`
      Initialize this behavior. Classes that extend Behavior must provide their own initialize method.
      NOTE: Applications should not call this method. It is called by the Java 3D behavior scheduler.
      Specified by:
        `initialize` in class `Behavior`

    - #### processStimulus

          public void processStimulus(java.util.Enumeration criteria)

      Deprecated.
      Description copied from class: `Behavior`
      Process a stimulus meant for this behavior. This method is invoked if the Behavior's wakeup criteria are satisfied and an active ViewPlatform's activation volume intersects with the Behavior's scheduling region. Classes that extend Behavior must provide their own processStimulus method.
      NOTE: Applications should not call this method. It is called by the Java 3D behavior scheduler.
      Specified by:
        `processStimulus` in class `Behavior`
      Parameters:
        `criteria` - an enumeration of triggered wakeup criteria for this behavior

    - #### updateScene

          public abstract void updateScene(int xpos,
                         int ypos)

      Deprecated.
      Subclasses shall implement this update function

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.